Package: org.gradle.language.objectivecpp

## [Java] Interface ObjectiveCppSourceSet

- org.gradle.language.nativeplatform.DependentSourceSet

- All Superinterfaces:
    HeaderExportingSourceSet, Buildable, LanguageSourceSet, DependentSourceSet

  A set of Objective-C++ source files.

  An Objective-C++ source set contains a set of source files, together with an optional set of exported header files.

       apply plugin: "objective-cpp"

       model {
           components {
               main(NativeLibrarySpec) {
                   sources {
                       objcpp {
                           source {
                               srcDirs "src/main/objectiveCpp", "src/shared/objectiveCpp"
                               include "**/*.mm"
                           }
                           exportedHeaders {
                               srcDirs "src/main/include"
                           }
                       }
                   }
               }
           }
       }

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface DependentSourceSet` | `getLibs, getPreCompiledHeader, lib, setPreCompiledHeader`
    `interface HeaderExportingSourceSet` | `exportedHeaders, getExportedHeaders, getImplicitHeaders`
    `interface LanguageSourceSet` | `generatedBy, getDisplayName, getSource, source`
    `interface Named` | `getName`
    `interface BuildableModelElement` | `builtBy, getBuildTask, hasBuildDependencies, setBuildTask, getBuildDependencies`